Subject: creating an importlib (was: Re: Installing DBD in cygwin)
From: "Gerrit P. Haase" <[email-masked]>
To: "P.V. SUBRAMANIAN" <[email-masked]>
Cc: [email-masked]
Date: Wed, 6 Nov 2002 12:02:38 +0100

P.V. schrieb:

> Can you please explain how to create the import library?

Ok.  I use impgen from the libtool package, I have this little wrapper:
cygextract.sh:

#!/usr/bin/sh
# cygextract.sh - This wrapper requires the dllname of the
# DLL you want to create an importlib from *without* suffix
# as argument!!! - gph, 2002-11-06

echo $0 creates an import library $1.dll.a from $*.dll
DLLNAME=$@

# set these to fit
CC=gcc
DLLTOOL=dlltool
AS=as
OUTPUT_DIR=.
DLLDIR=/bin
LIBTOOL=/usr/autotool/devel/bin/libtool

# needs libtool
test -f $OUTPUT_DIR/impgen.c || \
        sed -e "/^# \/\* impgen\.c starts here \*\//,/^# \/\* impgen.c ends here \*\// { s/^# //;s/^# *$//; p; }" -e d < $LIBTOOL > $OUTPUT_DIR/impgen.c
test -f $OUTPUT_DIR/impgen.exe || (cd $OUTPUT_DIR && \
        $CC -o impgen impgen.c ; )

$OUTPUT_DIR/impgen $DLLDIR/${DLLNAME}.dll >$OUTPUT_DIR/${DLLNAME}.def
$DLLTOOL --as=$AS --dllname ${DLLNAME}.dll \
 --def $OUTPUT_DIR/${DLLNAME}.def --output-lib $OUTPUT_DIR/${DLLNAME}.dll.a

# END

> I am trying to install DBD for mysql in cygwin. I have mysql installed and 
> it works in cygwin. I can start mysql, run a client and do queries. The DBI 
> installed properly.

You have a Cygwin version of MySQL Server running without errors?
Which version (MySQL & Cygwin), how do you build it?  Why does it run
for you but for noone els?

> I apprecite your help.

You're welcome,

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/